summaryrefslogtreecommitdiff
path: root/source4/lib/ldb/tests/init_slapd.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/lib/ldb/tests/init_slapd.sh')
-rwxr-xr-xsource4/lib/ldb/tests/init_slapd.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/source4/lib/ldb/tests/init_slapd.sh b/source4/lib/ldb/tests/init_slapd.sh
new file mode 100755
index 0000000000..94dca71791
--- /dev/null
+++ b/source4/lib/ldb/tests/init_slapd.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+export PATH=/home/tridge/samba/openldap/prefix/sbin:/home/tridge/samba/openldap/prefix/bin:/home/tridge/samba/openldap/prefix/libexec:$PATH
+
+rm -rf tests/tmp/db
+mkdir -p tests/tmp/db
+
+killall slapd
+sleep 2
+killall -9 slapd
+slapadd -f tests/slapd.conf < tests/init.ldif || exit 1